Introduction

Parallels Compressor®, supplied with the main product package, enables you to reduce the size of your virtual machine's hard disk by cleaning up the unused disk space and reducing the size of the virtual hard disk file (.hdd) stored on the physical computer.

In This Chapter

About Parallels Compressor

About This Guide

Getting Help

Feedback

Please send us your feedback on this help page


About Parallels Compressor

Parallels Compressor is a special utility for maintaining the size of your virtual machine's hard disk. This utility enables you to clean up the unused disk space and reduce the size of the virtual hard disk file (.hdd) stored on the physical hard disk of the physical computer.


About This Guide

This guide provides extensive information about using Parallels Compressor.

Notation Conventions

The table below presents the conventions used in this Guide.

Fonts | This font | Used for buttons, options, menus and menu commands, windows, and dialog boxes.
 | This font | Used for keys, paths, and folder names.
 | This font | Used for console commands in Linux and Windows.
 | This font | Used for tips, glossary items and options or modes mentioned in the text.
Type Styles | Note: | Used to emphasize the message.
 | Warning: | Used to warn you about possible data loss.
Key Combinations | <key>-click | Used to direct you to press the key and click the mouse button.
 | <key>+<key> | Used to direct you to press the keys simultaneously.

Abbreviations used in text

In the present guide the following abbreviations are used:

  • OS is used instead of operating system in some long sentences where using it will not change the meaning of the sentence.
  • VM is used instead of virtual machine in some long sentences where using it will not change the meaning of the sentence.

Definitions

Primary operating system (primary OS): In this Guide this term is used to refer to the operating system that controls the I/O devices of the computer and that is loaded when the physical computer is turned on.

Guest operating system (guest OS): The term is used to refer to an operating system that runs under the virtual machine control.

Main product: The term is used to refer to Parallels virtualization products. It can be either Parallels Desktop or Parallels Workstation or Parallels Server.

In This Section

Organization of This Guide

Documentation Conventions


Organization of This Guide

The present guide comprises the following chapters:

  • Introduction. This chapter provides basic information about Parallels Compressor and this guide.
  • Installing Parallels Compressor. This chapter contains information on how to install Parallels Compressor.
  • Working With Parallels Compressor. This chapter provides the detailed instructions on how to use Parallels Compressor.


Documentation Conventions

Before you start using this guide, it is important to understand the documentation conventions used in it.

The table below presents the existing formatting conventions.

Formatting convention | Type of Information | Example
Special Bold | Items you must select, such as menu options, command buttons, or items in a list. | Go to the Resources tab.
 | Titles of chapters, sections, and subsections. | Read the Basic Administration chapter.
Italics | Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value. | These are the so-called EZ templates. To destroy a Container, type vzctl destroy ctid.
Monospace | The names of commands, files, and directories. | Use vzctl start to start a Container.
Preformatted | On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages. | Saved parameters for Container 101
Monospace Bold | What you type, as contrasted with on-screen computer output. | # rpm –V virtuozzo-release
Key+Key | Key combinations for which the user must press and hold down one key and then press another. | Ctrl+P, Alt+F4

Besides the formatting conventions, you should also know about the document organization convention applied to Parallels documents: chapters in all guides are divided into sections, which, in their turn, are subdivided into subsections. For example, About This Guide is a section, and Documentation Conventions is a subsection.


Getting Help

Parallels Compressor offers several ways of accessing the necessary information:

  • Context-sensitive help. You can open a help page for the active window by pressing the F1 key.
  • Parallels Compressor User's Guide. This document contains extensive information about the product, its usage and troubleshooting. The PDF version of this guide can be accessed from the main product Help menu > Online Documentation.
  • Parallels website. Explore the Parallels Support web page that includes product help files and the FAQ section.
  • Parallels Knowledge Base. This online-resource comprizes valuable articles about using Parallels virtualization products.


Feedback

If you spot a typo in this guide, or if you have thought of a way to make this guide better, we would love to hear from you!

The ideal place for your comments and suggestions is the Parallels documentation feedback page.


Installing Parallels Compressor

Parallels Compressor is installed only into your Windows virtual machines along with Parallels Tools. Parallels Tools are a set of special utilities designed to help you use your virtual machines in the most comfortable and efficient way.

For the list of Windows guest OSs which support Parallels Tools and Parallels Compressor, see the main product's Help.

Note: Parallels Compressor is not available for virtual machines that use physical partitions as their hard disks (for example, Boot Camp virtual machines on Mac host computers).


Parallels Compressor Basics

Parallels Compressor is a special utility that helps you keep your virtual machine compact and efficient. It cleans up the unused space on the virtual hard disk, thus reducing the size of your virtual hard disk file (.hdd) stored on the physical computer.

Parallels Compressor can run in one of these modes:

  • Express. This is the default mode. In this mode, Parallels Compressor defragments and compacts the boot volume (the virtual hard disk volume on which the operating system is installed).
  • Advanced. In this mode, Parallels Compressor enables you to select the volumes to compress and set the compression level.

By default, Parallels Compressor runs in the Express mode.

Compression Levels

In the Advanced mode, Parallels Compressor supports three levels of compression: Low, Medium, and High. Each level suggests the execution of certain tasks. In the Parallels Compressor wizard, the task levels are indicated by different colors: red [image] is used for high-level tasks, yellow [image] for medium-level tasks, and green for low-level [image] tasks.

Tasks performed when the Low level of compression is selected include:

  • Truncate Page file. This task recreates the system page file of a smaller size.
  • Clean Up Temporary System Files. This task deletes temporary files used by the system for the acceleration of operations.
  • Clean Up System Cache. This task deletes temporary data stored by the system on the hard disk to increase performance.
  • Empty Recycle Bin. This task permanently removes the files from the Recycle Bin.
  • Clean Up Temporary Internet Files. This task cleans up the Internet Explorer cache, deletes the cookies, history, address bar, and temporary files.
  • Disable Hibernate file. This task disables the hibernate file that stores the virtual machine memory when the virtual machine is turned off.
  • Compact virtual disk(s). This task reduces the size of the virtual hard disk file (.hdd) in the primary operating system.

Tasks performed when the Medium level of compression is selected include:

  • Clean Up Temporary Setup Files. This task deletes the installation files used by MS Office and other programs.
  • Clean Up System Media Files. This task deletes the temporary files used by Windows Media Player.

Tasks performed when the High level of compression is selected include:

  • Clean up Drivers Cache. This task empties the cache for the most popular drivers. If you are going to install new hardware, clear the check box related to this task.
  • Clean Up System Restore Information. This task deletes the data related to the last successful system loading.

When you use Parallels Compressor in the Express mode, your boot volume is defragmented and compacted only. To customize the list of tasks and perform more intesive cleanup of your virtual disks, use the Advanced mode.


Working With Parallels Compressor

This chapter contains detailed instructions on how to use Parallels Compressor to reduce the size of your virtual machine's hard disk.

In This Chapter

Preparing for Compression

Compressing the Disk In the Express Mode

Compressing the Disk In the Advanced Mode

Using Parallels Compressor From Command Line


Preparing for Compression

Before starting Parallels Compressor, perform the following steps:

  1. Back up your virtual machine by cloning it or by copying its hard disk files to a safe location.

    This will allow you to restore your virtual machine in case you do not like the results of the compression.

    Warning: The result of virtual machine compression is irreversible.

  2. Check the hard disk for errors by running the chkdsk.exe utility.

Check if the virtual machine whose hard disk you are going to compress meets the following requirements:

  • The virtual machine's hard disk is not a physical partition (like a Boot Camp partition on a Mac).
  • The virtual machine has no snapshots.
  • The virtual machine is not running in Safe Mode.
  • The virtual machine's hard disk is in the expanding format.

    Note: The disk format can be checked in the Hard Disk pane of Virtual Machine Configuration. To access the Hard Disk pane, choose Configure from the Virtual Machine menu and select the Hard Disk item. If the disk is plain, you can convert it to an expanding one using Parallels Image Tool.

Other types of virtual hard disks can be successfully compressed with Parallels Compressor.


Compressing the Disk In the Express Mode

In the Express mode, Parallels Compressor reduces the size of the virtual machine's boot volume by defragmenting and compacting it. In this mode the hard disk size is usually reduced less than in the Advanced mode.

Compressing in the Express mode takes less time and requires minimal effort from the user.

To start Parallels Compressor in the Express mode:

  1. Start the virtual machine.
  2. Choose Run Parallels Compressor from the Virtual Machine menu. This will launch Parallels Compressor in the virtual machine.
  3. In the virtual machine, you will see the Parallels Compressor window that displays a time indicator. When the time is out, Parallels Compressor will automatically compress the virtual machine in the Express mode.

    Note: If you click the Manual mode button, select the Express option in the Parallels Compressor wizard, and click Compress.

  4. You can view the progress in executing the tasks in the Execution in progress window.
  5. In the Preparing to restart window, click Restart to restart your virtual machine.
  6. After the restart, the Parallels Compressor window displays a time indicator that shows the time remaining until Compressor will continue to execute the tasks.

    Note: If you click the Manual mode button before the timeout expires, you can postpone the execution of the remaining tasks.

  7. You can view the progress in executing the tasks in the Execution in progress window.
  8. When the process of compressing the virtual hard disk is complete, click Finish to close the wizard.


Compressing the Disk In the Advanced Mode

In the Advanced mode, Parallels Compressor enables you to select the volumes to compress and specify the compression level.

To start Parallels Compressor in the Advanced mode:

  1. Start the virtual machine.
  2. Choose Run Parallels Compressor from the Virtual Machine menu. This will launch Parallels Compressor in the virtual machine.
  3. In the virtual machine, you will see the Parallels Compressor window that displays a time indicator. Click the Manual mode button to open the Parallels Compressor wizard.

    Note: If you do not click the Manual mode button, when the time is out, the compression will be performed in the Express mode.

  4. In the Welcome window, click Next.

    Note: If you do not want this window to appear next time you start Parallels Compressor, select Skip introduction next time.

  5. In the next window, select Advanced compression and click Next.

    Note: If you choose Express compression, the compression will be performed in the Express mode after you click Compress.

  6. In the Select logical disk(s) window, select the disk volumes you want to compress and click Next.

    Note: If you are not sure if the types of disks you selected can be processed with Parallels Compressor, see Preparing for Compression.

  7. In the Choose compression level window, specify the level for compressing the disk. Three compression levels are available: Low, Medium, and High. Each level suggests the execution of certain tasks. The tasks on these levels are indicated by different colors: red [image] is used for high-level tasks, yellow [image] for medium-level tasks, and green for low-level [image] tasks. For more information about the levels, refer to Parallels Compressor Basics.

    Drag the slider in the left part of the window to choose the appropriate compression level. Each level of compression has a fixed number of tasks.

    You can also select or deselect certain tasks in the tasks list.

    • To select all tasks, click Select all.
    • To deselect all tasks, click Clear all.
    • Click Set as default to restore the default selection of tasks for the chosen level.

    When finished, click the Compress button.

  8. You can view the progress in executing the tasks in the Execution in progress window.
  9. In the Preparing to restart window, click Restart to restart your virtual machine.
  10. After the restart, the wizard is ready to resume the execution of the tasks. Click Next.
  11. In the next window, you can view the progress in performing the tasks.
  12. The wizard prompts you to start the disks compacting process, which is the final step of compression. Click Yes to perform the operation.

    Note: If you want to skip this step of compressing the disk, click No.

  13. When the compressing is complete, click Finish to exit Parallels Compressor.


Using Parallels Compressor From Command Line

You can start Parallels Compressor from the command line utility in your virtual machine by issuing the following command in the C:\Program Files\Parallels\Parallels Tools\Applications\Compressor\ directory:

ParallelsCompressor

This command has the following keys:

  • /A -Starts the program automatically in the Express mode.
  • /G <cmdline> - Starts a third-party defragmentation tool instead of the tool used by Parallels Compressor. <cmdline> stands for the path and name of this tool.
  • /H - Opens the Help panel with the list of available keys.
  • /S - Runs Compressor in background (silent mode).

The program name and the key should be separated by space.

If spaces are used in the <cmdline>, enclose the expression in double quotes as follows:

ParallelsCompressor /G"C:\Program Files\...defrag.exe"

There is no space between the key and its parameter as in the example above.


Choosing the Compression Mode

Before starting Parallels Compressor, perform the following steps:

  1. Back up your virtual machine by cloning it or by copying its hard disk files to a safe location.

    This will allow you to restore your virtual machine in case you do not like the results of the compression.

    Warning: The result of virtual machine compression is irreversible.

  2. Check the hard disk for errors by running the chkdsk.exe utility.

Check the virtual machine whose hard disk you are going to compress meets the following requirements:

  • The virtual machine's hard disk is not a physical partition, for example, a Boot Camp partition.
  • The virtual machine has no snapshots.
  • The virtual machine is not running in Safe Mode.
  • The virtual machine's hard disk is in the expanding format.

    Note: The disk format can be checked in the Hard Disk pane of Virtual Machine Configuration. To access the Hard Disk pane, choose Configure from the Virtual Machine menu and select the Hard Disk item.

Other types of virtual hard disks can be successfully compressed with Parallels Compressor.

Compression Levels

Parallels Compressor is a special utility that helps you keep your virtual machine compact and efficient. It cleans up the unused space on the virtual hard disk, thus reducing the size of your virtual hard disk file (.hdd) stored on the physical computer.

Parallels Compressor can run in one of these modes:

  • Express. This is the default mode. In this mode, Parallels Compressor defragments and compacts the boot volume (the virtual hard disk volume on which the operating system is installed).
  • Advanced. In this mode, Parallels Compressor enables you to select the volumes to compress and set the compression level.

By default, Parallels Compressor runs in the Express mode.


Selecting the Logical Disk

In the Select logical disk(s) window, select the disk volumes you want to compress and click Next.

The virtual machine's hard disk should be in the expanding format.

Note: If you are not sure if the types of disks you selected can be processed with Parallels Compressor, see Preparing for Compression.


Choosing the Compression Level

In the Choose compression level window, specify the level for compressing the disk. Three compression levels are available: Low, Medium, and High. Each level suggests the execution of certain tasks. The tasks on these levels are indicated by different colors: red [image] is used for high-level tasks, yellow [image] for medium-level tasks, and green for low-level [image] tasks. For more information about the levels, refer to Parallels Compressor Basics.

Drag the slider in the left part of the window to choose the appropriate compression level. Each level of compression has a fixed number of tasks.

You can also select or deselect certain tasks in the tasks list.

  • To select all tasks, click Select all.
  • To deselect all tasks, click Clear all.
  • Click Set as default to restore the default selection of tasks for the chosen level.

When finished, click the Compress button.

Compression Levels

Parallels Compressor supports three levels of compression: Low, Medium, and High. Each level suggests the execution of certain tasks. In the Parallels Compressor wizard, the task levels are indicated by different colors: red [image] is used for high-level tasks, yellow [image] for medium-level tasks, and green for low-level [image] tasks.

Tasks performed when the Low level of compression is selected include:

  • Truncate Page file. This task recreates the system page file of a smaller size.
  • Clean Up Temporary System Files. This task deletes temporary files used by the system for the acceleration of operations.
  • Clean Up System Cache. This task deletes temporary data stored by the system on the hard disk to increase performance.
  • Empty Recycle Bin. This task permanently removes the files from the Recycle Bin.
  • Clean Up Temporary Internet Files. This task cleans up the Internet Explorer cache, deletes the cookies, history, address bar, and temporary files.
  • Disable Hibernate file. This task disables the hibernate file that stores the virtual machine memory when the virtual machine is turned off.
  • Compact virtual disk(s). This task reduces the size of the virtual hard disk file (.hdd) in the primary operating system.

Tasks performed when the Medium level of compression is selected include:

  • Clean Up Temporary Setup Files. This task deletes the installation files used by MS Office and other programs.
  • Clean Up System Media Files. This task deletes the temporary files used by Windows Media Player.

Tasks performed when the High level of compression is selected include:

  • Clean up Drivers Cache. This task empties the cache for the most popular drivers. If you are going to install new hardware, clear the check box related to this task.
  • Clean Up System Restore Information. This task deletes the data related to the last successful system loading.

When you use Parallels Compressor in the Express mode, all tasks excluding the Clean up Drivers Cache task are performed. To customize the list of tasks to perform, use the Advanced mode.


Preparing to Restart

In the Preparing to restart window, click Restart to restart your virtual machine.


Preparing for the Final Step of Compression

After the restart, the wizard is ready to resume the execution of the tasks. Click Next.

The wizard prompts you to start the disks compacting process, which is the final step of compression. Click Yes to perform the operation.

Note: If you want to skip this step of compressing the disk, click No.


Process is Completed

When the compressing is complete, click Finish to exit Parallels Compressor.


Top of page Online documentation Watch a demo [image] Go to Parallels forum [image] Request support


Contents Index Search


Parallels Compressor | User's Guide